package fr.mael.jiwigo.service;

import junit.framework.Assert;

import org.junit.Before;
import org.junit.Test;

import fr.mael.jiwigo.dao.impl.CategoryDaoImpl;
import fr.mael.jiwigo.dao.impl.ImageDaoImpl;
import fr.mael.jiwigo.om.Category;
import fr.mael.jiwigo.om.Image;
import fr.mael.jiwigo.service.impl.CategoryServiceImpl;
import fr.mael.jiwigo.service.impl.ImageServiceImpl;
import fr.mael.jiwigo.transverse.session.SessionManager;
import fr.mael.jiwigo.transverse.session.impl.SessionManagerImpl;

public class ServicesTest {

	private SessionManager sessionManager;

	@Before
	public void setUp() {
		sessionManager = new SessionManagerImpl("mael", "motdepasse", "http://mael.piwigo.com", "Unit Test");
		sessionManager.processLogin();
	}

	@Test
	public void testCreer() throws Exception {
		Category cat = null;
		CategoryServiceImpl categoryService = new CategoryServiceImpl();
		CategoryDaoImpl categoryDao = new CategoryDaoImpl();
		categoryDao.setSessionManager(sessionManager);
		categoryService.setDao(categoryDao);

		ImageServiceImpl imageService = new ImageServiceImpl();
		ImageDaoImpl imageDao = new ImageDaoImpl();
		imageDao.setSessionManager(sessionManager);
		imageService.setDao(imageDao);

		for (Category category : categoryService.list(true)) {
			if (category.getIdentifier().equals(3)) {
				cat = category;
				break;
			}
		}
		Image image = imageService.listByCategory(cat.getIdentifier(), true).get(0);
		Assert.assertEquals("test de test do not delete", cat.getName());
		Assert.assertEquals("20110329194915-0c0b3f36.jpg", image.getFile());

	}
}
